//
//  OpenGL Triangle Widget
//

#ifndef TRIANGLE_H
#define TRIANGLE_H

#include <QGLWidget>
#include <QString>

class Triangle : public QGLWidget
{
Q_OBJECT
//  Private data
private:
    int  darth;     //  Texture
    int  theta;     //  Rotation angle
    bool texture;   //  Color/Texture toggle
//  Public access to this widget
public:
    Triangle(QWidget* parent=0);                      //  Constructor
    QSize sizeHint() const {return QSize(400,400);}   //  Default size of widget

//  Communications with other widgets
public slots:
    void setTheta(int angle);    //  Slot to set angle
    void setType(QString type);  //  Slot to set color/texture
signals:
    void message(QString text);  //  Signal for messages

//  Need to reimplement these methods inhereted from QGLWidget
protected:
    void initializeGL();                   //  Initialize widget
    void resizeGL(int width, int height);  //  Resize widget
    void paintGL();                        //  Draw widget
};

#endif
